<?php
/**
 * The template for displaying archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package birva
 */

get_header(); ?>

<div id="blog-single-page">
	<div class="container">
	<div class="inner">
		<?php if ( have_posts() ) : ?>

			<div class="sixteen columns menu-head"> 
				<h1 class="page-title">
					<?php
						if ( is_category() ) :
							single_cat_title();

						elseif ( is_tag() ) :
							single_tag_title();

						elseif ( is_author() ) :
							printf( __( 'Author: %s', 'birva' ), '<span class="vcard">' . get_the_author() . '</span>' );

						elseif ( is_day() ) :
							printf( __( 'Day: %s', 'birva' ), '<span>' . get_the_date() . '</span>' );

						elseif ( is_month() ) :
							printf( __( 'Month: %s', 'birva' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'birva' ) ) . '</span>' );

						elseif ( is_year() ) :
							printf( __( 'Year: %s', 'birva' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'birva' ) ) . '</span>' );

						elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
							_e( 'Asides', 'birva' );

						elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) :
							_e( 'Galleries', 'birva' );

						elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
							_e( 'Images', 'birva' );

						elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
							_e( 'Videos', 'birva' );

						elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
							_e( 'Quotes', 'birva' );

						elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
							_e( 'Links', 'birva' );

						elseif ( is_tax( 'post_format', 'post-format-status' ) ) :
							_e( 'Statuses', 'birva' );

						elseif ( is_tax( 'post_format', 'post-format-audio' ) ) :
							_e( 'Audios', 'birva' );

						elseif ( is_tax( 'post_format', 'post-format-chat' ) ) :
							_e( 'Chats', 'birva' );

						else :
							_e( 'Archives', 'birva' );

						endif;
					?>
				</h1>
				<p>
				<?php
					// Show an optional term description.
					$birva_term_description = term_description();
					if ( ! empty( $birva_term_description ) ) :
						printf( '<div class="taxonomy-description">%s</div>', $birva_term_description );
					endif;
				?>
				</p>
			</div><!-- .page-header -->
			<div class="clear"></div>
			<div class="blog-main-wrapper">
					<div class="twelve columns">

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php
					/* Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );
				?>

			<?php endwhile; ?>

			<?php birva_paging_nav(); ?>

				</div>
				<div class="four columns"> 
					<?php get_sidebar(); ?>
				</div>
				<div class="clear"></div>
			</div>

		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>
	</div>
	</div>
</div>
 
<?php get_footer(); ?>
