<?php
/**
 * The template for displaying comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package birva
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
 
 
	<section class="post-comment">
		<h4> Comments (<?php comments_number( '0', '1', '%' ); ?>) </h4> 

		<?php if ( have_comments() ) : ?> 


			<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
			<nav id="comment-nav-above" class="comment-navigation" role="navigation">
				<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'birva' ); ?></h1>
				<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'birva' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'birva' ) ); ?></div>
			</nav><!-- #comment-nav-above -->
			<?php endif; // check for comment navigation ?>

			<ul class="commentlist">
				<?php wp_list_comments( 'type=comment&callback=mytheme_comment' ); ?>
			</ul><!-- .comment-list -->

			<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
			<nav id="comment-nav-below" class="comment-navigation" role="navigation"> 
				<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'birva' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'birva' ) ); ?></div>
			</nav><!-- #comment-nav-below -->
			<?php endif; // check for comment navigation ?>


		<?php endif; // have_comments() ?>
	
	</section>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'birva' ); ?></p>  

	<?php endif; ?>

	<section>

	<?php 
       $birva_args = array(
		  'id_form'           => 'commentform',
		  'id_submit'         => 'submit',
		  'title_reply'       => __( 'Post a comment', 'birva' ) ,
		  'title_reply_to'    => __( 'Post a comment to %s', 'birva' ) ,
		  'cancel_reply_link' => __( 'Cancel Reply', 'birva' ) ,
		  'label_submit'      => __( 'Comment', 'birva' ) ,

		  'comment_field' =>  '<div class="input"><textarea id="comments" class="textarea" name="comment" placeholder="'. esc_attr__( 'Comment', 'birva' ) .'" cols="5" rows="4" aria-required="true">' .
		    '</textarea></div>',

		  'must_log_in' => '<p class="must-log-in">' .
		    sprintf(
		      __( 'You must be <a href="%s">logged in</a> to post a comment.', 'birva' ),
		      wp_login_url( apply_filters( 'the_permalink', get_permalink() ) )
		    ) . '</p>',

		  'logged_in_as' => '<p class="logged-in-as">' .
		    sprintf(
		    __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'birva' ),
		      admin_url( 'profile.php' ),
		      $user_identity,
		      wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) )
		    ) . '</p>',

		  'comment_notes_before' => '',

		  'comment_notes_after' => '<div class="actions"><button type="submit" class="btn sendmsg large block" name="submit">'. __( 'Comment', 'birva' ) .' <i class="icon-caret-right"></i></button></div>',

		  'fields' => apply_filters( 'comment_form_default_fields', array(

		    'author' =>
		      '<div class="input"><input  name="author" placeholder="'. esc_attr__( 'Name', 'birva' ) .'" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
		      '"  /></div>',

		    'email' =>
		      '<div class="input"><input  name="email" placeholder="'. esc_attr__( 'Email address', 'birva' ) .'" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
		      '" size="30"  /></div>' 
		    )
		  ),
		);

	comment_form($birva_args); ?>

	</section> 
