<?php
/**
 * @package birva
 */
?>

<?php if (get_post_type() == 'portfolio') { ?>
<div class="one-third column">
	<!-- item block -->
	<div data-item="1" class="portfolio-item-block work">
		<!-- item info -->
		<div class="info clearfix">
			<div class="content-area">
			<span class="imageCover"></span>
				<?php the_post_thumbnail(); ?>
			</div>
			<h4 class="title"><?php the_title(); ?></h4>
            <?php if( function_exists( 'rwmb_meta' ) ): ?>
			     <span class="sub-title"><?php echo rwmb_meta('birva_cat'); ?></span>
            <?php endif; ?>
		</div>
		<!-- end item info -->
		<!-- item detail -->
		<div class="details">
			<div class="container">
				<div class="eight columns">
				<?php the_post_thumbnail(); ?>
				</div>
				<div class="eight columns">
					<h2><?php the_title(); ?></h2>
					<ul class="list">
                        <?php if( function_exists( 'rwmb_meta' ) ): ?>
    						<?php if (rwmb_meta('birva_cat') != '') { ?>
    						<li><?php echo esc_html__( 'Category :', 'birva' ); ?> <span><?php echo rwmb_meta('birva_cat'); ?></span></li><li>
    						<?php } if (rwmb_meta('birva_cli') != '') { ?>
    						</li><li><?php echo esc_html__( 'Client :', 'birva' ); ?> <span><?php echo rwmb_meta('birva_cli'); ?></span></li><li>
    						<?php } ?>
                        <?php endif; ?>
					</li></ul>
					 

					<?php the_content(); ?> 

                    <?php if( function_exists( 'rwmb_meta' ) ): ?>
					   <?php if (rwmb_meta('birva_url') != '') { ?>
					       <a class="btn btn-large btn-block btn-first" href="<?php echo rwmb_meta('birva_url'); ?>">&nbsp;<?php echo esc_html__( 'Visit Site', 'birva' ); ?>&nbsp;<i class="icon-long-arrow-right"></i>&nbsp;</a>
					   <?php } ?>
                    <?php endif; ?>
					<a class="btn btn-large btn-block btn-close" href="#">&nbsp;<i class="icon-long-arrow-up"></i>&nbsp;</a>
				</div>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
		<!-- end item detail -->
	</div>
	<!-- end item block -->
</div>
<?php } else { ?>
<article id="post-<?php the_ID(); ?>"  class="postlist postborder isotope-item" >
	<!-- content -->
	<div class="content-area"> 
		<?php if (get_post_format() == 'audio') { ?>
			<!-- Audio player -->
			<div class="audioplayer"> 
				<audio tabindex="0" controls="">
					<?php $birva_audio = get_children( array('post_parent' => $post->ID, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'audio' ) ); ?>
					<?php if ( empty( $birva_audio ) ) : ?>
					<?php else : ?>
					        <?php foreach ( $birva_audio as $birva_attachment_id => $birva_attachment ) : ?>
					        <?php echo '<source src="'.wp_get_attachment_url( $birva_attachment_id, 'full' ).'" /> '; ?>
					        <?php endforeach; ?>
					<?php endif; ?> 
				</audio>
			</div>
			<div class="date2"><div class="ribbon"><span><i class="icon-calendar"></i></span><?php the_time('M j, Y'); ?></div></div>
		<?php } else { ?>
		<!--thumb -->
		<div class="thumb"> 
			<?php 
                if (get_post_format() == 'video') { 
                    $birva_parsedUrl  = parse_url(get_the_content());
                    $birva_embed      = $birva_parsedUrl['query'];
                    parse_str($birva_embed, $birva_out);
                    $birva_embedUrl   = $birva_out['v'];
                    echo wp_oembed_get( $birva_embedUrl );
               } else { ?>
			<?php if (has_post_thumbnail()) { ?>
				<span class="imageCover"></span>
				<a href="<?php the_permalink(); ?>" class="fade">
					<?php the_post_thumbnail();?>
				</a>
				<div class="date"><div class="ribbon"><span><i class="icon-calendar"></i></span><?php the_time('M j, Y'); ?></div></div>
				<?php } else { ?>
				<div class="date2"><div class="ribbon"><span><i class="icon-calendar"></i></span><?php the_time('M j, Y'); ?></div></div>
			<?php } } ?>
		</div>
		<?php } ?>
		<!-- end thumb -->
		<!-- post detail -->
		<div class="postcontent">
			<p class="posttitle"><a href="<?php the_permalink(); ?>"><?php echo the_title(); ?></a></p>
			<?php if (get_post_format() != 'audio') { ?>
			<?php if (get_post_format() == 'quote') { ?>
				<blockquote>
				<i class="icon-quote-left"></i> 
			<?php } ?>
			<?php the_excerpt(); ?>
			<?php if (get_post_format() == 'quote') { ?>
				<i class="icon-quote-right"></i>
				</blockquote> 
			<?php } } ?>
				
		</div>
		<!-- end post detail -->
		<!-- post meta -->
		<div class="post-meta">
			<a href="#">&nbsp;<i class="icon-comments"></i> <?php comments_number( '0', '1', '%' ); ?> </a>
			<a class="right" href="<?php the_permalink(); ?>"><i class="icon-link"></i> <?php echo esc_html__( 'Read more', 'birva' ); ?></a>
		</div>
		<!-- end post meta -->
	</div>
	<!-- end content --> 
</article><!-- #post-## -->
<?php } ?>