<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package birva
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<!-- Metas
	================================================== -->
	<meta charset="<?php bloginfo('charset'); ?>" />
    <meta name="viewport" content="width=device-width, user-scalable=no"/>
	<meta name="description" content="Responsive One Page Template" />
	<meta name="keywords" content="html5,css3,jquery,portfolio,creative,design" />
	<meta name="author" content="" />

	<?php wp_head(); ?>
</head> 
<body <?php body_class(); ?>  id="skrollr-body">
	<!-- pre loder -->
	
	<div id="back-to-top">
       <a href="#"><?php echo esc_html__( 'Back to Top', 'birva' ); ?></a>
   	</div>
	<!--==================================
             TOP HEADER
    ==================================-->
	<section id="header-top">
		<div class="top-header">
			<div class="container">
				<div class="sixteen columns">
					<!-- logo -->
					<div class="left">
						<a href="<?php echo esc_url( get_home_url() ); ?>" class="logowrapper logo"></a>
					</div>
					<!-- end logo -->
					<!-- menu -->
					<div class="right" id="header">
						<div class="menuwrapper clearfix">
							<div class="menu"> 
								<?php wp_nav_menu( array( 'theme_location' => 'primary' ) );  ?>
							</div>
						</div>
					</div>
					<!--end menu -->
				</div>
			</div>
		</div>
		<div class="clear"></div>
	</section>
	<!--==================================
             BANNER 
    ==================================-->
    <?php if (is_page_template('pt-home.php')) { ?>
	<div class="banner" id="parallax1">
		<!-- parallax background -->
		<?php $birva_post_thumbnail_id = get_post_thumbnail_id( get_the_ID()); ?>
		<div class="home-teaser-bg home-bg" style="background-image: url('<?php echo esc_url( wp_get_attachment_url( $birva_post_thumbnail_id, "full" ) ); ?>');">
			<div class="info-container">
				<div class="info">
					<div class="container">
						<div class="home-inner-wrap">
							<h1 class="m-text">
								<?php echo get_post_field('post_content', get_the_ID()); ?>	
							</h1>
							<div class="w-icon">
								<a href="#content-holder" class="w-icon-link">
									<i class="icon-long-arrow-down"></i>
								</a>
							</div>
								
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- end parallax background -->
	</div>
	<div class="clear"></div>
	<?php } ?>
	<!-- end -->
	<!--==================================
	             CONTENT
	    ==================================-->
	 <div id="content-holder">
		<!-- page bottom section -->
		<div class="content" >

