<?php
/**
 * birva Theme Customizer
 *
 * @package birva
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function birva_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';



 	// Logo Section
    $wp_customize->add_section('kanu-logo-section', array(
        'title'    => __('Logo', 'birva'),
        'priority' => 97,
        'sanitize_callback' => 'esc_url_raw', 
    )); 
    $wp_customize->add_setting('kanu-logo',
        array( 
            'sanitize_callback' => 'birva_sanitize_text'
    )); 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'kanu-logo', array(
        'label'    => __('Logo', 'birva'),
        'section'  => 'kanu-logo-section',
        'settings' => 'kanu-logo'
    ))); 


    // Theme colors
    $wp_customize->add_section('kanu-color-section', array(
        'title'    => __('Theme colors ', 'birva'),
        'priority' => 98,
        'sanitize_callback' => 'birva_sanitize_text', 
    ));  
    $wp_customize->add_setting('kanu-color1',
        array( 
            'default' => '#F6464A',
            'sanitize_callback' => 'birva_sanitize_text', 
    ));
    $wp_customize->add_control(
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'kanu-color1', 
    array(
        'label'      => __( 'Theme color #1', 'birva' ),
        'section'    => 'kanu-color-section',
        'settings'   => 'kanu-color1',
    ) ) );


    $wp_customize->add_setting('kanu-color2',
        array( 
            'default' => '#756E60',
            'sanitize_callback' => 'birva_sanitize_text'
    ));
    $wp_customize->add_control(
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'kanu-color2', 
    array(
        'label'      => __( 'Theme color #2', 'birva' ),
        'section'    => 'kanu-color-section',
        'settings'   => 'kanu-color2',
    ) ) );



    $wp_customize->add_setting('kanu-color3',
        array( 
            'default' => '#F5F2ED',
            'sanitize_callback' => 'birva_sanitize_text'
    ));
    $wp_customize->add_control(
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'kanu-color3', 
    array(
        'label'      => __( 'Theme color #3', 'birva' ),
        'section'    => 'kanu-color-section',
        'settings'   => 'kanu-color3',
    ) ) );


    // Social Networks
    $wp_customize->add_section('kanu-social-section', array(
        'title'    => __('Contact section', 'birva'),
        'priority' => 98,
        'sanitize_callback' => 'esc_url_raw', 
    ));  
    $wp_customize->add_setting('kanu-twitter-social',
        array( 
            'sanitize_callback' => 'esc_url_raw', 
    )); 
    $wp_customize->add_control('kanu-twitter-social', array(
        'label'    => __('Twitter Username', 'birva'),
        'section'  => 'kanu-social-section',
        'type'    => 'text' ,
        'sanitize_callback' => 'birva_sanitize_text', 
    ));  
    $wp_customize->add_setting('kanu-twitter', array(  
        'sanitize_callback' => 'esc_url_raw', 
        'default' => '1'  
    ));
    $wp_customize->add_control( 'kanu-twitter', array(
        'settings' => 'kanu-twitter',
        'label'   => 'Show/Hide Latest tweets',
        'section' => 'kanu-social-section',
        'type'    => 'select',
        'choices'    => array(
            '1' => 'Show',
            '0' => 'Hide' 
        )
    ));
    $wp_customize->add_setting('kanu-twitter-back',
        array( 
            'sanitize_callback' => 'birva_sanitize_text', 
    )); 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'kanu-twitter-back', array(
        'label'    => __('Latest tweets background', 'birva'),
        'section'  => 'kanu-social-section',
        'settings' => 'kanu-twitter-back'
    ))); 
    $wp_customize->add_setting('kanu-facebook-social',
        array( 
            'sanitize_callback' => 'birva_sanitize_text', 
    )); 
    $wp_customize->add_control('kanu-facebook-social', array(
        'label'    => __('Facebook Url', 'birva'),
        'section'  => 'kanu-social-section',
        'type'    => 'text',
        'sanitize_callback' => 'esc_url_raw', 
    )); 
    $wp_customize->add_setting('kanu-instagram-social',
        array( 
            'sanitize_callback' => 'birva_sanitize_text', 
    )); 
    $wp_customize->add_control('kanu-instagram-social', array(
        'label'    => __('Instagram Url', 'birva'),
        'section'  => 'kanu-social-section',
        'type'    => 'text',
        'sanitize_callback' => 'esc_url_raw',
    )); 
    $wp_customize->add_setting('kanu-pinterest-social',
        array( 
            'sanitize_callback' => 'birva_sanitize_text', 
    )); 
    $wp_customize->add_control('kanu-pinterest-social', array(
        'label'    => __('Pinterest Url', 'birva'),
        'section'  => 'kanu-social-section',
        'type'    => 'text',
        'sanitize_callback' => 'esc_url_raw', 
    ));  

    $wp_customize->add_setting('kanu-email-title',
        array( 
            'sanitize_callback' => 'birva_sanitize_text', 
    )); 
    $wp_customize->add_control('kanu-email-title', array(
        'label'    => __('Contact Form Title', 'birva'),
        'section'  => 'kanu-social-section',
        'type'    => 'text' ,
        'sanitize_callback' => 'birva_sanitize_text', 
    ));

    $wp_customize->add_setting('kanu-email-sub',
        array( 
            'sanitize_callback' => 'birva_sanitize_text', 
    )); 
    $wp_customize->add_control('kanu-email-sub', array(
        'label'    => __('Contact Form Subtitle', 'birva'),
        'section'  => 'kanu-social-section',
        'type'    => 'text',
        'sanitize_callback' => 'birva_sanitize_text',  
    ));

    $wp_customize->add_setting('kanu-email-social',
        array( 
            'sanitize_callback' => 'birva_sanitize_text', 
    )); 
    $wp_customize->add_control('kanu-email-social', array(
        'label'    => __('Email', 'birva'),
        'section'  => 'kanu-social-section',
        'type'    => 'text',
        'sanitize_callback' => 'birva_sanitize_email',  
    ));   

    $wp_customize->add_setting('kanu-phone-social',
        array( 
            'sanitize_callback' => 'birva_sanitize_text',  
    )); 
    $wp_customize->add_control('kanu-phone-social', array(
        'label'    => __('Phone', 'birva'),
        'section'  => 'kanu-social-section',
        'type'    => 'text',
        'sanitize_callback' => 'birva_sanitize_number',  
         
    ));  

    $wp_customize->add_setting('kanu-street-social',
        array( 
            'sanitize_callback' => 'birva_sanitize_text',  
    )); 
    $wp_customize->add_control('kanu-street-social', array(
        'label'    => __('Address', 'birva'),
        'section'  => 'kanu-social-section',
        'type'    => 'text',
        'sanitize_callback' => 'birva_sanitize_text',   
    ));
 

 	// Footer Section
    $wp_customize->add_section('kanu-footer-section', array(
        'title'    => __('Footer Section ', 'birva'),
        'priority' => 99
    ));  

    $wp_customize->add_setting('kanu-copy-social',
        array( 
            'sanitize_callback' => 'birva_sanitize_text',  
    )); 
    $wp_customize->add_control('kanu-copy-social', array(
        'label'    => __('Copyright text', 'birva'),
        'section'  => 'kanu-social-section',
        'type'    => 'text',
        'sanitize_callback' => 'birva_sanitize_text',   
    ));


}
add_action( 'customize_register', 'birva_customize_register' );

  
function header_output() { ?>
<!--Customizer CSS-->   

<style type="text/css">   
	.blog-teaser-bg.parallax-bg {background-image: url('<?php echo get_theme_mod("kanu-twitter-back"); ?>');}
    .logo {background: url('<?php echo get_theme_mod("kanu-logo"); ?>') no-repeat !important;}

    /* theme colors */




    .top-header,.portfolio-item-block:hover, .portfolio-item-block.open,.portfolio-item-block .details,
.inner-bg-heading,.service-offer,.postlist .post-meta,.pagination a,.m-bellows .m-header:hover,.m-bellows .m-header:focus,.widget .widgettitle{background:<?php echo get_theme_mod('kanu-color2', '#756E60'); ?>;}

#back-to-top a{background:url("<?php echo get_template_directory_uri(); ?>/images/02_backtotop.png") no-repeat center center <?php echo get_theme_mod('kanu-color2', '#756E60'); ?>;}
#back-to-top a:hover{background:url("<?php echo get_template_directory_uri(); ?>/images/02_backtotop.png") no-repeat center center <?php echo get_theme_mod('kanu-color1', '#F6464A'); ?>;}

 .block.bc-dark:not(:first-child), #work-page, #about-page, #ourteem-page, #service-page, #blog-page, #blog-single-page,#service-page input[type="email"],.dark,.work{background: <?php echo get_theme_mod('kanu-color3', '#F5F2ED'); ?>;}

.menu ul li a {border-top: 2px solid rgba(0, 0, 0, 0);}
.service-grid .service-icon {border:8px solid #fff;}
.home-inner-wrap h1 span {background:rgba(117, 110, 96, 0.7);}
.inner-content{background:#fff;}
.red,.team-member i,#social .social li a,.process-block:hover .process-icon,.author,.livet a,.livet h2 a:hover,.timestamp,
.postlist .post-meta a:hover,.widget ul li  a:hover,.article-footer p.tags a{color:<?php echo get_theme_mod('kanu-color1', '#F6464A'); ?>;}
.team-member i:hover,.w-icon:hover .w-icon-link ,body,a,h1, h2, h3, h4, h5, h6{color:<?php echo get_theme_mod('kanu-color2', '#756E60'); ?>;}
.inner-row h2,.inner-row h4,.inner-row p,.portfolio-item-block:hover .title,.home-inner-wrap h1 span,.livet a:hover{color:#fff;}
.lead-cta{color:#fff !important;} 
.menu-head p { background: url("<?php echo get_template_directory_uri(); ?>/images/05_title-border-color1.png") no-repeat scroll center bottom; }
.home-teaser-bg {background-image: url("<?php echo get_template_directory_uri(); ?>/images/04_bg.jpg");}
.team-member .imageCover {background: url("<?php echo get_template_directory_uri(); ?>/images/16_image-white-shad1.png") repeat scroll 0 0 transparent;}
.tile-hot:before {background: url("<?php echo get_template_directory_uri(); ?>/images/24_ribboncolor1.png") no-repeat transparent;}
.portfolio-item-block .sub-title{color:#dfdfdf;}
 .portfolio-item-block:hover .title,.livet a:hover{color:#fff;}
.menu .active,.menu ul li a:hover {border-top: 2px solid <?php echo get_theme_mod('kanu-color1', '#F6464A'); ?>;}
.btn,.portfolio-item-block{box-shadow:0 3px 0 0 <?php echo get_theme_mod('kanu-color1', '#F6464A'); ?>;}
.aboutColor .inner-row:hover, .sendmsg,.btn.btn-first:hover,.btn.btn-pricing:hover,.btn.btn-news:hover ,.btn.btn-close:hover,#basics .column:hover{background:<?php echo get_theme_mod('kanu-color1', '#F6464A'); ?>;}
.lead-cta:after {border-color:#74AFAD transparent transparent;}
 .process-block .process-icon {box-shadow: 0 0 0 3px <?php echo get_theme_mod('kanu-color1', '#F6464A'); ?>;}
.process-block:hover .process-icon {border: 4px solid <?php echo get_theme_mod('kanu-color1', '#F6464A'); ?>;}
.aboutColor , .w-icon-link,#basics,.portfolio-item-block,.content-area .infoCont,
.btn.btn-first,.btn.btn-close,.btn.btn-pricing,.btn.btn-news,.ribbon,.m-bellows .m-header,.whyus:hover .inner-bg-heading,
 .process-block .process-icon  ,.service-grid .service-icon,.pricing-box:hover,.pagination .current,.pagination a:hover,#social,
.sendmsg:hover,.w-icon{background:<?php echo get_theme_mod('kanu-color1', '#F6464A'); ?>;color:#fff}
*::-moz-selection{background:<?php echo get_theme_mod('kanu-color1', '#F6464A'); ?>;color:#fff}


</style> 
<?php
}
add_action( 'wp_head' ,  'header_output' );


function birva_sanitize_text( $str ) {
	return sanitize_text_field( $str );
} 

function birva_sanitize_textarea( $text ) {
	return esc_textarea( $text );
} 

function birva_sanitize_number( $int ) {
	return absint( $int );
} 

function birva_sanitize_email( $email ) {
	if(is_email( $email )){
		return $email;
	}else{
		return '';
	}
} 
/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function birva_customize_preview_js() {
	wp_enqueue_script( 'birva_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'birva_customize_preview_js' );
