<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package birva
 */

get_header(); ?>
		

		<div id="blog-page" class="indexBlog">
			<div class="container">
				<!-- blog heading  -->
				<div class="sixteen columns menu-head">
					<h1><?php echo esc_html__( 'RECENT POSTS', 'birva' ); ?></h1>
					<p>...</p>
				</div>
				<div class="clear"></div>
				<div class="blog-main-wrapper">
					<!-- fullwidth -->
					<div  id="fullwidth">

						<?php if ( have_posts() ) : ?>

							<?php /* Start the Loop */ ?>
							<?php while ( have_posts() ) : the_post(); ?>

								<?php
									/* Include the Post-Format-specific template for the content.
									 * If you want to override this in a child theme, then include a file
									 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
									 */
									get_template_part( 'content', get_post_format() );
								?>

							<?php endwhile; ?>

							<?php birva_paging_nav(); ?>

						<?php else : ?>

							<?php get_template_part( 'content', 'none' ); ?>

						<?php endif; ?>


					</div><!-- end fullwidth -->
					<div class="clearfix"></div>
				</div>
				<div class="clear"></div> 
				<?php echo wpbeginner_numeric_posts_nav(); ?>  
				<div class="clear"></div>
			</div>
 
	</div>
<?php get_footer(); ?>
