<?php
/**
 * The template for displaying all single posts.
 *
 * @package birva
 */

get_header(); ?>

	<div id="blog-single-page">
			<div class="container">

		<?php while ( have_posts() ) : the_post(); ?>
 
			<div class="sixteen columns menu-head">
				<h1><?php the_title(); ?></h1>
                <?php if( function_exists( 'rwmb_meta' ) ): ?>
				    <p><?php echo rwmb_meta('birva_sub'); ?></p>
                <?php endif; ?>
				<!-- post meta detail -->
				<div class="post-metadetail">
					<span><i class="icon-calendar"></i> </span> <?php the_time('M j, Y'); ?>
					<a href="#">&nbsp;<i class="icon-comments"></i>  <?php comments_number( '0', '1', '%' ); ?> </a>
				</div>
				<!-- end post meta detail -->
			</div>
			<div class="clear"></div>
			<div class="blog-main-wrapper">
					<div class="twelve columns">
						<!-- article -->
						<article>
							<!-- post body -->
							<section class="articleBody clearfix">
								<div class="content-area">
									<span class="imageCover"></span>
									<?php if (has_post_thumbnail()) { the_post_thumbnail(); } ?>
								</div>
								<div class="content-text">
									<?php the_content(); ?>
								</div>
							</section>

							<section class="article-footer clearfix">
								<p class="tags">
									<span class="tags-title"><?php echo esc_html__( 'Tagged', 'birva' ); ?></span><br /> 
									 <?php the_tags( '', ' | ', '' ); ?>  
								</p>
							</section>


								<?php
									// If comments are open or we have at least one comment, load up the comment template
									if ( comments_open() || '0' != get_comments_number() ) :
										comments_template();
									endif;
								?>  

						</article>
					</div>

					<div class="four columns">
						<!-- author -->
						<div id="author">
							<?php echo get_avatar( get_the_author_meta('ID'), 150); ?> 	
							<span class="written"><?php echo esc_html__( 'Written by', 'birva' ); ?></span><br />
							<span class="the-author"><?php the_author(); ?></span>
						</div>
						<!-- end author -->
						<?php get_sidebar(); ?>
					</div>
					<div class="clear"></div>
			</div>
 

		<?php endwhile; // end of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->
 
<?php get_footer(); ?>